/*! Build time: 4/15/2025, 8:23:08 PM
Package: @bilibili-activity/era-point-exchange
Version: 1.2.2
Env: production
 */
._root_vw2vb_1 {
  position: relative;
}
._root_vw2vb_1 * {
  box-sizing: border-box;
}.pointExchange {
  width: 7.02rem;
  padding: 0.4rem 0 0 0;
  overflow-y: hidden;
}
.pointExchange_loginRefresh {
  display: flex;
  flex-direction: row;
  padding: 0 0.2rem 0 0.2rem;
  justify-content: space-between;
  height: 0.52rem;
}
.pointExchange .btn-award {
  display: flex;
  flex-direction: row;
  align-items: center;
  font-size: 0.12rem;
  justify-content: space-between;
  padding: 0 0.2rem 0 0.2rem;
  margin: 0.24rem 0 0.24rem 0;
  height: 0.7rem;
  flex-wrap: nowrap;
}
.pointExchange .btn-award .btn-entry {
  display: flex;
  flex-direction: row;
  align-items: center;
  font-size: 0.12rem;
  width: 3.32rem;
  height: 1.2rem;
}
.pointExchange .btn-award .btn-entry .btn-myAward,
.pointExchange .btn-award .btn-entry .btn-record {
  width: 1.56rem;
  height: 0.4rem;
  font-weight: 400;
}
.pointExchange .btn-award .btn-entry .btn-myAward div:first-child,
.pointExchange .btn-award .btn-entry .btn-record div:first-child {
  width: 0.32rem;
  height: 0.32rem;
}
.pointExchange .btn-award .btn-entry .btn-myAward div:last-child,
.pointExchange .btn-award .btn-entry .btn-record div:last-child {
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-all;
  white-space: nowrap;
  overflow: hidden;
  font-size: 0.24rem;
}
.pointExchange .btn-award .login {
  width: 3rem;
  overflow: hidden;
}
.pointExchange .btn-award .login .btn-login {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  border: none;
  cursor: pointer;
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-all;
  white-space: nowrap;
  font-size: 0.24rem;
}
.pointExchange .btn-award .login .btn-login_txt {
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-all;
  white-space: nowrap;
}
.pointExchange .btn-award .login .btn-login .arrow-right-icon {
  width: 0.24rem;
  height: 0.24rem;
}
.pointExchange .btn-award .login .label-login {
  width: 100%;
  height: 0.7rem;
  overflow: hidden;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}
.pointExchange .btn-award .login .label-login div:first-child {
  height: 0.7rem;
  line-height: 0.7rem;
  margin-right: 0.08rem;
  font-size: 0.24rem;
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-all;
  white-space: nowrap;
}
.pointExchange .btn-award .login .label-login div:last-child {
  height: 0.7rem;
  line-height: 0.7rem;
  font-size: 0.48rem;
  font-weight: 600;
  overflow: auto;
}
.pointExchange .swiper {
  font-size: 0.12rem;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}
.pointExchange .pointExchange__title {
  font-weight: 500;
  font-size: 0.28rem;
  line-height: 0.4rem;
  color: white;
}
.pointExchange .pointExchange__refresh {
  font-weight: 400;
  font-size: 0.24rem;
  line-height: 0.34rem;
  display: flex;
  align-items: center;
  color: rgba(255, 255, 255, 0.6);
}
.pointExchange .pointExchange__refresh span svg {
  width: 0.4rem;
  height: 0.4rem;
}
.pointExchange .pointExchange__refresh .refresh-animation {
  animation: rotate 2s 1;
  -webkit-animation: rotate 2s 1;
}
@keyframes rotate {
  0% {
    transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -o-transform: rotate(360deg);
  }
}.awardlist-container {
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: flex-start;
  padding: 0 0.12rem;
  font-size: 0.2rem;
}
.awardlist-container_item {
  flex: 0 0 33.3%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0 0 0.38rem 0;
}
.awardlist-container_top {
  width: 2rem;
  height: 2rem;
  position: relative;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
}
.awardlist-container_sub {
  max-width: 100%;
  position: absolute;
  top: 0;
  right: 0;
  color: #FFFFFF;
  background-color: #484C53;
  border-radius: 0 0 0 0.2rem;
  padding: 0.04rem 0.12rem;
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-all;
  white-space: nowrap;
}
.awardlist-container_subNone {
  display: none;
}
.awardlist-container_stock {
  max-width: 100%;
  position: absolute;
  bottom: 0;
  left: 0;
  color: #fff;
  background-color: rgba(0, 0, 0, 0.3);
  border-radius: 0 0.12rem 0 0;
  padding: 0.02rem 0.08rem;
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-all;
  white-space: nowrap;
}
.awardlist-container_imgContainer {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.awardlist-container_img {
  width: 100%;
  height: 100%;
  margin: 0 auto;
  -o-object-fit: cover;
     object-fit: cover;
}
.awardlist-container .calculate-container {
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-all;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}
.awardlist-container_btm {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 2rem;
  font-size: 0.24rem;
}
.awardlist-container_btm div:first-child {
  font-size: 0.24rem;
  font-weight: 600;
  padding: 0 0.12rem;
  text-align: center;
}
.awardlist-container_btm .product_name {
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-all;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}
.awardlist-container_btm .score_name {
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-all;
  white-space: nowrap;
  width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-all;
  white-space: nowrap;
  text-align: center;
}
.awardlist-container_btn {
  width: 1.68rem;
  color: #fff;
  border: none;
  font-weight: 500;
  height: 0.6rem;
  cursor: pointer;
}
.awardlist-container_disabled {
  background-color: #C9CCD0;
  cursor: not-allowed;
}.modal-common {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
}
.modal-common_title {
  min-height: 1.28rem;
  width: 100%;
  text-align: center;
  font-size: 0.32rem;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 500;
  flex: 0 0 1;
}
.modal-common_content {
  flex: 1 0;
  overflow-y: auto;
}
.modal-common_btn {
  width: 0.6rem;
  height: 0.6rem;
  position: absolute;
  top: 0.08rem;
  right: 0.08rem;
  border: none;
  border-radius: 0.08rem;
  cursor: pointer;
}
.modal-common .bottom-center {
  bottom: -1.4rem;
  right: 50%;
  transform: translateX(50%);
  top: auto;
}.pointRecoder {
  overflow-y: auto;
  font-size: 0.24rem;
  padding: 0 0.32rem 0 0.32rem;
}
.pointRecoderItem {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  height: auto;
  width: 100%;
  border-top: 0.01rem solid rgba(24, 25, 28, 0.1019607843);
}
.pointRecoderItem_left {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  height: 70%;
  width: 70%;
}
.pointRecoderItem_right {
  width: 1.26rem;
}
.pointRecoderItem_img {
  height: 0.96rem;
  width: 0.96rem;
  -o-object-fit: cover;
     object-fit: cover;
}
.pointRecoderItem_des {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  margin-left: 0.08rem;
  height: 100%;
  padding: 0.08rem 0;
}
.pointRecoderItem_title {
  color: #18191C;
}
.pointRecoderItem_title span {
  margin-left: 0.04rem;
}
.pointRecoderItem_time {
  color: #61666D;
  opacity: 0.8;
}
.pointRecoderItem:first-child {
  border-top: none;
}
.PointRecordZero {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-size: 0.32rem;
  color: #9499A0;
}
.PointRecordZero_img {
  width: 2.8rem;
  height: 2.8rem;
  display: flex;
  justify-content: center;
  align-items: center;
}
.PointRecordZero_img img {
  max-width: 100%;
  max-height: 100%;
}
.pointRecoder_load {
  font-size: 0.12rem;
  color: #5b5959;
  text-align: center;
  margin-top: 0.04rem;
}
.pointRecoder_load div {
  font-size: 0.12rem;
}
.pointRecoder_load .load {
  cursor: pointer;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  font-size: 0.12rem;
}.exchangeSuccess {
  font-size: 0.24rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 100%;
  padding-top: 0.4rem;
}
.exchangeSuccess_btn {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: center;
  border: none;
  font-size: 0.28rem;
  cursor: pointer;
  flex: 1 1;
}
.exchangeSuccess_btn .arrow-right-icon {
  width: 0.28rem;
  height: 0.28rem;
}
.exchangeSuccess_btnDes {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}
.exchangeSuccess_img {
  width: 2.4rem;
  height: 2.4rem;
  display: flex;
  justify-content: center;
  align-items: center;
  flex: 0 1;
}
.exchangeSuccess_img img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
.exchangeSuccess_des {
  flex: 1 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: 0.32rem;
  font-weight: 500;
  padding: 0 0.24rem;
}.exchangeAward {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  flex: 1 1;
  width: 100%;
  height: 100%;
}
.exchangeAward_img {
  width: 2.4rem;
  height: 2.4rem;
  display: flex;
  justify-content: center;
  align-items: center;
}
.exchangeAward_img img {
  width: 2.4rem;
  height: 2.4rem;
  -o-object-fit: cover;
     object-fit: cover;
}
.exchangeAward_title {
  font-size: 0.32rem;
  font-weight: 500;
  text-align: center;
}
.exchangeAward_point {
  font-size: 0.28rem;
  margin-top: 0.12rem;
}
.exchangeAward_des {
  font-size: 0.24rem;
  height: 0.7rem;
  text-align: center;
  padding: 0 0.24rem;
}
.exchangeAward_btn {
  width: 5.2rem;
  color: #fff;
  font-size: 0.28rem;
  border: none;
  font-weight: 600;
  height: 0.8rem;
  border-radius: 0.52rem;
  cursor: pointer;
}.era-popup__mask {
  position: fixed;
  z-index: 1004;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.6);
}
.era-popup__content {
  position: fixed;
  z-index: 1005;
}
.era-popup__content--top {
  top: 0;
  left: 0;
  right: 0;
}
.era-popup__content--bottom {
  bottom: 0;
  left: 0;
  right: 0;
}
.era-popup__content--left {
  left: 0;
  top: 0;
  bottom: 0;
}
.era-popup__content--right {
  right: 0;
  top: 0;
  bottom: 0;
}
.era-popup__content--center {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.era-popup-exited {
  visibility: hidden;
}

.era-popup-enter {
  visibility: visible;
}
.era-popup-enter .era-popup__content {
  opacity: 0;
  transform: translate(-50%, -50%) scale(0.5);
}

.era-popup-entered {
  visibility: visible;
}
.era-popup-entered .era-popup__content {
  opacity: 1;
  transform: translate(-50%, -50%) scale(1);
}

.top-enter .era-popup__mask,
.bottom-enter .era-popup__mask,
.center-enter .era-popup__mask,
.left-enter .era-popup__mask,
.right-enter .era-popup__mask {
  opacity: 0;
}
.top-enter-active .era-popup__mask,
.bottom-enter-active .era-popup__mask,
.center-enter-active .era-popup__mask,
.left-enter-active .era-popup__mask,
.right-enter-active .era-popup__mask {
  opacity: 1;
  transition: 0.3s all ease;
}
.top-enter-active .era-popup__content,
.bottom-enter-active .era-popup__content,
.center-enter-active .era-popup__content,
.left-enter-active .era-popup__content,
.right-enter-active .era-popup__content {
  transition: 0.3s all ease;
}
.top-exit .era-popup__mask,
.bottom-exit .era-popup__mask,
.center-exit .era-popup__mask,
.left-exit .era-popup__mask,
.right-exit .era-popup__mask {
  opacity: 1;
}
.top-exit-active .era-popup__mask,
.bottom-exit-active .era-popup__mask,
.center-exit-active .era-popup__mask,
.left-exit-active .era-popup__mask,
.right-exit-active .era-popup__mask {
  opacity: 0;
  transition: 0.3s all ease-out;
}
.top-exit-active .era-popup__content,
.bottom-exit-active .era-popup__content,
.center-exit-active .era-popup__content,
.left-exit-active .era-popup__content,
.right-exit-active .era-popup__content {
  transition: 0.3s all ease-out;
}

.bottom-enter .era-popup__content {
  transform: translate(0, 100%);
}
.bottom-enter-active .era-popup__content {
  transform: translate(0, 0);
}
.bottom-exit .era-popup__content {
  transform: translate(0, 0);
}
.bottom-exit-active .era-popup__content {
  transform: translate(0, 100%);
}

.top-enter .era-popup__content {
  transform: translate(0, -100%);
}
.top-enter-active .era-popup__content {
  transform: translate(0, 0);
}
.top-exit .era-popup__content {
  transform: translate(0, 0);
}
.top-exit-active .era-popup__content {
  transform: translate(0, -100%);
}

.left-enter .era-popup__content {
  transform: translate(-100%, 0);
}
.left-enter-active .era-popup__content {
  transform: translate(0, 0);
}
.left-exit .era-popup__content {
  transform: translate(0, 0);
}
.left-exit-active .era-popup__content {
  transform: translate(-100%, 0);
}

.right-enter .era-popup__content {
  transform: translate(100%, 0);
}
.right-enter-active .era-popup__content {
  transform: translate(0, 0);
}
.right-exit .era-popup__content {
  transform: translate(0, 0);
}
.right-exit-active .era-popup__content {
  transform: translate(100%, 0);
}

.center-enter .era-popup__content {
  opacity: 0;
  transform: translate(-50%, -50%) scale(0.5);
}
.center-enter-active .era-popup__content {
  opacity: 1;
  transform: translate(-50%, -50%) scale(1);
}
.center-exit .era-popup__content {
  opacity: 1;
  transform: translate(-50%, -50%) scale(1);
}
.center-exit-active .era-popup__content {
  opacity: 0;
  transform: translate(-50%, -50%) scale(0.5);
}

.dialog-container {
  width: 6rem;
  height: 7.58rem;
  position: relative;
}
.dialog-container_btn {
  width: 0.6rem;
  height: 0.6rem;
  position: absolute;
  top: 0.08rem;
  right: 0.08rem;
  border: none;
  background-color: #E3E5E7;
}@keyframes splide-loading{0%{transform:rotate(0)}to{transform:rotate(1turn)}}.splide__track--draggable{-webkit-touch-callout:none;-webkit-user-select:none;-moz-user-select:none;user-select:none}.splide__track--fade>.splide__list>.splide__slide{margin:0!important;opacity:0;z-index:0}.splide__track--fade>.splide__list>.splide__slide.is-active{opacity:1;z-index:1}.splide--rtl{direction:rtl}.splide__track--ttb>.splide__list{display:block}.splide__container{box-sizing:border-box;position:relative}.splide__list{backface-visibility:hidden;display:flex;height:100%;margin:0!important;padding:0!important}.splide.is-initialized:not(.is-active) .splide__list{display:block}.splide__pagination{align-items:center;display:flex;flex-wrap:wrap;justify-content:center;margin:0;pointer-events:none}.splide__pagination li{display:inline-block;line-height:1;list-style-type:none;margin:0;pointer-events:auto}.splide:not(.is-overflow) .splide__pagination{display:none}.splide__progress__bar{width:0}.splide{position:relative;visibility:hidden}.splide.is-initialized,.splide.is-rendered{visibility:visible}.splide__slide{backface-visibility:hidden;box-sizing:border-box;flex-shrink:0;list-style-type:none!important;margin:0;position:relative}.splide__slide img{vertical-align:bottom}.splide__spinner{animation:splide-loading 1s linear infinite;border:0.02rem solid #999;border-left-color:transparent;border-radius:50%;bottom:0;contain:strict;display:inline-block;height:0.2rem;left:0;margin:auto;position:absolute;right:0;top:0;width:0.2rem}.splide__sr{clip:rect(0 0 0 0);border:0;height:0.01rem;margin:-0.01rem;overflow:hidden;padding:0;position:absolute;width:0.01rem}.splide__toggle.is-active .splide__toggle__play,.splide__toggle__pause{display:none}.splide__toggle.is-active .splide__toggle__pause{display:inline}.splide__track{overflow:hidden;position:relative;z-index:0}.point-swiper {
  width: 82%;
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  font-size: 0.24rem;
  padding: 0 0.24rem 0 0.24rem;
  border-radius: 0.52rem;
  overflow: hidden;
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-all;
  white-space: nowrap;
}
.point-swiper_icon {
  width: 0.24rem;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.point-swiper_icon svg {
  width: 0.24rem;
  height: 0.24rem;
}
.point-swiper_container {
  flex-grow: 0;
  flex-shrink: 0;
  height: 100%;
  max-width: 95%;
  margin-left: 0.04rem;
}
.point-swiper_container .splide__slide {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}
.point-swiper .topic {
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-all;
  white-space: nowrap;
  margin-left: 0.04rem;
}
.point-swiper .splide {
  height: 100%;
}
.splide__pagination {
  display: none;
}.btn-entry {
  width: 48%;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-content: center;
  overflow: hidden;
}
.btn-entry .btn-myAward {
  margin-right: 0.16rem;
}
.btn-entry .common-btn {
  margin-right: 0.2rem;
}
.btn-entry .common-btn:last-child {
  margin-right: 0;
}
.btn-entry .btn-myAward,
.btn-entry .btn-record {
  border: 0.01rem solid;
  border-radius: 0.2rem;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.btn-entry .btn-myAward svg,
.btn-entry .btn-record svg {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: 0.02rem;
  width: 0.32rem;
  height: 0.32rem;
}
.btn-entry .btn-myAward div,
.btn-entry .btn-record div {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
@media screen and (max-width: 380px) {
  .btn-entry .btn-myAward,
  .btn-entry .btn-record {
    border: 0.02rem solid;
  }
}